Botan 1.10.17

Public Member Functions | List of all members
Botan::Integer_Overflow_Detected Class Reference

`#include <safeint.h>`

Inheritance diagram for Botan::Integer_Overflow_Detected:

## Public Member Functions
| Integer_Overflow_Detected (const std::string &file, int line)

## Detailed Description

Definition at line 16 of file safeint.h.

## Constructor & Destructor Documentation

## ◆ Integer_Overflow_Detected()

Botan::Integer_Overflow_Detected::Integer_Overflow_Detected | ( | const std::string & | file,
|  | int | line
| ) |  |
| inline

Definition at line 19 of file safeint.h.

19 :
20 Exception("Integer overflow detected at " + file + ":" + to_string(line))
21 {}
Botan::Exception
std::runtime_error Exception
Definition: exceptn.h:19
Botan::to_string
std::string to_string(u64bit n, size_t min_len)
Definition: parsing.cpp:42

The documentation for this class was generated from the following file:

- src/utils/safeint.h